
QGIS Application - Bug report #14828

Rename 'Snapping mode' to 'Layer mode' (?) in 'Snapping options' dialog

2016-05-16 11:45 AM - R. R.

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22782

Description

While 'Snapping mode' (see 'Snapping options') and 'Default snap mode' (see 'Options') refer to different settings,they share almost the

same name.

History

#1 - 2016-06-20 02:56 AM - Harrissou Santanna

- Pull Request or Patch supplied changed from No to Yes

Indeed, when comes time to document this feature, it's quite ununderstandable.

A fix with 'Layer selection' is proposed at https://github.com/qgis/QGIS/pull/3222

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-06-05 02:53 PM - Loïc BARTOLETTI

Should it be closed since harissou's patch is merged?

#4 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4
https://github.com/qgis/QGIS/pull/3222
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
